server:
  # 服务器的HTTP端口，默认为8080
  port: 16200
  servlet:
    # 应用的访问路径
    context-path: /api
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100
spring:
  profiles:
    active: prod
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 50MB
      # 设置总上传的文件大小
      max-request-size: 50MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
      #设置热部署要监听的目录
      additional-paths: src/main/java
      # 解决项目自动重新编译后接口报404的问题
      poll-interval: 3000
      quiet-period: 1000



# MyBatis配置
#mybatis:
#  # 搜索指定包别名
#  type-aliases-package: com.aiotagro.payinfo.domain.mapper
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapper-locations: classpath*:mapper/**/*Mapper.xml
#  # 加载全局的配置文件
#  config-location: classpath:mybatis/mybatis-config.xml

# mybatis-plus配置
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.aiotagro.payinfo.domain.mapper
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml
  global-config:
    db-config:
      logic-delete-field: del_flag
      logic-delete-value: 1
      logic-not-delete-value: 0



# PageHelper分页插件
pagehelper:
  helper-dialect: mysql  #设置数据库类型
  reasonable: true  #开启合理化：页码<=0 查询第一页，页码>=总页数查询最后一页
  support-methods-arguments: true  #支持通过 Mapper 接口参数来传递分页参数
  params: count=countsql


aiot-lims:
  tenant:
    column: customer_code
    tables:
      - sys_users
      - sys_log
      - coo_customer
      - sys_citys
      - dgtx_places
      - products

#短信相关配置
sms:
  secret-id: AKIDpoms4MmHtUDvhSHC1y115DTmFfCq2CSq
  secret-key: PqL0EOuOyRsEayMi8dDv228IY8ywohe4
  end-point: sms.tencentcloudapi.com
  appid: 1400915506
  sign: 武汉爱农云联科技
  template-id: 2175348

openapi:
  url: http://api.aiotagro.com/api/business/xq/locationLog

iot:
  url: http://aiot.aiotagro.com/iotPlateform/iotBusiness/sendCmd
